Bug 3492 - ldapadd crashes remote slapd (2.1.25)
: ldapadd crashes remote slapd (2.1.25)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openldap-servers)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
: 3527
:
  Show dependency tree
 
Reported: 2004-01-14 20:46 by
Modified: 2005-08-30 02:31 (History)


Attachments
sample ldif (352 bytes, text/plain)
2004-01-14 20:51, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-14 20:46:17
trickster is workstation, alpha is (ldap) server

trickster:~> ldapadd -f test.ldif -h alpha
SASL/DIGEST-MD5 authentication started
Please enter your password: 
ldap_sasl_interactive_bind_s: Can't contact LDAP server (81)
trickster:~> ssh alpha /sbin/service slapd status
slapd is dead, but stale PID file exists

this is simply remote DoS requiring no additional resources but access to the
port slapd listens to :-(

before I hit <Enter> for the password request (don't know it), slapd is alive;
just then it dies.

manipulating LDAP data with gq or phpldapadmin just goes fine.

openldap-servers-2.1.25-alt1
------- Comment #1 From 2004-01-14 20:51:20 -------
Created an attachment (id=331) [details]
sample ldif
------- Comment #2 From 2004-01-15 00:42:32 -------
will try to change from bdb to ldbm tomorrow and see.....

------- Comment #3 From 2004-01-20 15:29:41 -------
похоже, проблема в том, что libsasl2 собрана с libdb4.0, а openldap -- с 4.1.
------- Comment #4 From 2004-02-24 10:13:51 -------
Fixed in 2.1.26-alt1
------- Comment #5 From 2004-02-27 18:41:04 -------
openldap-2.1.26-alt3

Проблема повторяется.
------- Comment #6 From 2004-03-15 13:44:36 -------
Fixed in 2.1.27

I load to Sisyphus this package soon.
------- Comment #7 From 2004-03-25 19:48:30 -------
apparently works
------- Comment #8 From 2005-08-30 02:21:47 -------
closing
------- Comment #9 From 2005-08-30 02:31:58 -------
closing